%global gem_name appraisal
%global rubyabi 1.9.1

Summary:       Find out what your Ruby gems are worth
Name:          rubygem-%{gem_name}
Version:       0.5.1
Release:       1%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/thoughtbot/appraisal
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:      ruby(abi) = %{rubyabi}
Requires:      ruby(rubygems) 
Requires:      ruby 
Requires:      rubygem(rake) 
Requires:      rubygem(bundler) 
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}

%description
Appraisal integrates with bundler and rake to test your library against
different versions of dependencies in repeatable scenarios called
"appraisals."


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p ./%{gem_dir}

gem build %{gem_name}.gemspec

gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

#cleanup
rm -f %{buildroot}%{gem_instdir}/.gitignore
rm -f %{buildroot}%{gem_instdir}/.travis.yml
rm -f %{buildroot}%{gem_instdir}/.rspec
rm -rf %{buildroot}%{gem_instdir}/.yardoc
rm -f %{buildroot}%{gem_instdir}/Gemfile
rm -f %{buildroot}%{gem_instdir}/appraisal.gemspec


%files
%doc %{gem_instdir}/MIT-LICENSE
%dir %{gem_instdir}
%{gem_instdir}/features
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/GOALS
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Nov 19 2012 Troy Dawson <tdawson@redhat.com> - 0.5.1-1
- Initial package
